Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.43.0.
Receive a Casework review completion
POST
/v1/review-completions
const url = 'https://example.com/v1/review-completions';const options = { method: 'POST', headers: { 'Registry-Recipient-Binding': 'example', 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"completedAt":"2026-04-15T12:00:00Z","eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","requestId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","resultId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","type":"review.completed"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/review-completions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'Registry-Recipient-Binding: example' \ --data '{ "completedAt": "2026-04-15T12:00:00Z", "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resultId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "review.completed" }'Available when a review authority configures a completion token and recipient binding.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Registry-Recipient-Binding
required
string
Idempotency-Key
required
string format: uuid
Must equal eventId.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
completedAt
required
string format: date-time
eventId
required
string format: uuid
requestId
required
string format: uuid
resultId
required
string format: uuid
type
required
Responses
Section titled “Responses”Completion accepted or already recorded.
The completion or idempotency binding is invalid.
The completion authority could not be authenticated.
The request is not application/json.
The completion could not be durably recorded.